import { OnInit } from "@angular/core";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import { StiDropdownService } from "./sti-dropdown-service";
import * as i0 from "@angular/core";
export declare class StiDropdownListComponent implements OnInit {
    dropdownService: StiDropdownService;
    editableContentService: StiEditableContentService;
    get list(): string | number[];
    getValue(index: any): any;
    isActive(index: any): boolean;
    setItem(index: any): void;
    constructor(dropdownService: StiDropdownService, editableContentService: StiEditableContentService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDropdownListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiDropdownListComponent, "sti-dropdown-list-component", never, {}, {}, never, never, false, never>;
}
